package com.bonus.canteen.core.pay.channel.ali.po;

import cn.hutool.core.bean.BeanUtil;
import com.bonus.canteen.core.pay.channel.ali.api.AlipayAPI;

public class AliEnterpriseCodeAsyncPayPO {
   private String outTradeNo;
   private String accountId;
   private String totalAmount;
   private String alreadyPaid;
   private String openId;
   private String terminalParams;
   private String alipayContractNum;
   private Long canteenId;

   public static AliEnterpriseCodeAsyncPayPO of(AlipayAPI.EnterpriseCodeAliParam param) {
      return (AliEnterpriseCodeAsyncPayPO)BeanUtil.copyProperties(param, AliEnterpriseCodeAsyncPayPO.class, new String[0]);
   }

   public AlipayAPI.EnterpriseCodeAliParam toParam() {
      return (AlipayAPI.EnterpriseCodeAliParam)BeanUtil.copyProperties(this, AlipayAPI.EnterpriseCodeAliParam.class, new String[0]);
   }

   public String getOutTradeNo() {
      return this.outTradeNo;
   }

   public String getAccountId() {
      return this.accountId;
   }

   public String getTotalAmount() {
      return this.totalAmount;
   }

   public String getAlreadyPaid() {
      return this.alreadyPaid;
   }

   public String getOpenId() {
      return this.openId;
   }

   public String getTerminalParams() {
      return this.terminalParams;
   }

   public String getAlipayContractNum() {
      return this.alipayContractNum;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public void setOutTradeNo(final String outTradeNo) {
      this.outTradeNo = outTradeNo;
   }

   public void setAccountId(final String accountId) {
      this.accountId = accountId;
   }

   public void setTotalAmount(final String totalAmount) {
      this.totalAmount = totalAmount;
   }

   public void setAlreadyPaid(final String alreadyPaid) {
      this.alreadyPaid = alreadyPaid;
   }

   public void setOpenId(final String openId) {
      this.openId = openId;
   }

   public void setTerminalParams(final String terminalParams) {
      this.terminalParams = terminalParams;
   }

   public void setAlipayContractNum(final String alipayContractNum) {
      this.alipayContractNum = alipayContractNum;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

}
